org.apache.ignite.internal.commandline.cache.argument

## Enum IdleVerifyCommandArg

- java.lang.Object
- - java.lang.Enum<IdleVerifyCommandArg>
  - - org.apache.ignite.internal.commandline.cache.argument.IdleVerifyCommandArg

All Implemented Interfaces:
  Serializable, Comparable<IdleVerifyCommandArg>, CommandArg

    public enum IdleVerifyCommandArg
    extends Enum<IdleVerifyCommandArg>
    implements CommandArg

`CacheSubcommands.IDLE_VERIFY` command arguments.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CACHE_FILTER` Cache filter.
`CHECK_CRC` Check crc.
`DUMP` Dump.
`EXCLUDE_CACHES` Exclude caches.
`SKIP_ZEROS` Skip zeros.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `argName()`
`String` `toString()`
`static IdleVerifyCommandArg` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IdleVerifyCommandArg[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DUMP

    public static final IdleVerifyCommandArg DUMP

Dump.

#### SKIP_ZEROS

    public static final IdleVerifyCommandArg SKIP_ZEROS

Skip zeros.

#### EXCLUDE_CACHES

    public static final IdleVerifyCommandArg EXCLUDE_CACHES

Exclude caches.

#### CHECK_CRC

    public static final IdleVerifyCommandArg CHECK_CRC

Check crc.

#### CACHE_FILTER

    public static final IdleVerifyCommandArg CACHE_FILTER

Cache filter.

### Method Detail

#### values

    public static IdleVerifyCommandArg[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IdleVerifyCommandArg c : IdleVerifyCommandArg.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IdleVerifyCommandArg valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### argName

    public String argName()

Specified by:
  `argName` in interface `CommandArg`
Returns:
  Argument name.

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<IdleVerifyCommandArg>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020